SYNC(2)

NAME
sync - commit buffer cache to disk.

SYNOPSIS
#include <unistd.h>

int sync(void);

DESCRIPTION
sync first commits inodes to buffers, and then buffers to disk.

RETURN VALUE
sync always returns 0.

CONFORMING TO
SVID, AT&T, X/OPEN, BSD 4.3

BUGS
sync() only schedules the writes, so it may return before the actual writing is done.

SEE ALSO
fsync(2), update(8), sync(8)